
RADIUS Authentication - Task #369

Create Setup Page

03/03/2012 05:19 AM - Luke Murphey

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

Create a setup page that allows users to set:

1. The RADIUS server address

2. The shared secret

3. Whether RADIUS authentication is enabled (so that users can revert to normal authentication)

4. A login & password to test the configuration

Reference:

http://docs.splunk.com/Documentation/Splunk/4.3/Developer/SetupExampleCredentials

http://docs.splunk.com/Documentation/Splunk/4.3/Developer/SetupExampleCustom

http://docs.splunk.com/Documentation/Splunk/4.3/Developer/SetupXML

Related issues:

Blocked by RADIUS Authentication - Task #376: Create REST Endpoint Closed

Associated revisions

Revision 28 - 03/17/2012 09:10 AM - Luke Murphey

Created a setup page for configuring the radius authentication script (closes #369)

Revision 25 - 03/17/2012 09:10 AM - Luke Murphey

Created a setup page for configuring the radius authentication script (closes #369)

History

#1 - 03/03/2012 05:21 AM - Luke Murphey

- Assignee set to Luke Murphey

#2 - 03/03/2012 08:44 AM - Luke Murphey

- Target version set to 1.0.0

#3 - 03/14/2012 06:54 AM - Luke Murphey

- Status changed from New to In Progress

#4 - 03/16/2012 07:43 PM - Luke Murphey

- % Done changed from 0 to 80

#5 - 03/17/2012 09:11 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Applied in changeset r28.
